public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Nirbheek Chauhan" <nirbheek@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gnome:master commit in: net-libs/glib-networking/
Date: Wed,  5 Sep 2012 15:48:56 +0000 (UTC)	[thread overview]
Message-ID: <1346860102.1effe4d4f8106b59f8056ec87a029532a561f964.nirbheek@gentoo> (raw)

commit:     1effe4d4f8106b59f8056ec87a029532a561f964
Author:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  3 20:51:44 2012 +0000
Commit:     Nirbheek Chauhan <nirbheek <AT> gentoo <DOT> org>
CommitDate: Wed Sep  5 15:48:22 2012 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=1effe4d4

Add net-libs/glib-networking-2.33.12

---
 .../glib-networking/glib-networking-2.33.12.ebuild |   76 ++++++++++++++++++++
 1 files changed, 76 insertions(+), 0 deletions(-)

diff --git a/net-libs/glib-networking/glib-networking-2.33.12.ebuild b/net-libs/glib-networking/glib-networking-2.33.12.ebuild
new file mode 100644
index 0000000..63c5f8a
--- /dev/null
+++ b/net-libs/glib-networking/glib-networking-2.33.12.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit gnome2 virtualx
+if [[ ${PV} = 9999 ]]; then
+	inherit gnome2-live
+fi
+
+DESCRIPTION="Network-related giomodules for glib"
+HOMEPAGE="http://git.gnome.org/browse/glib-networking/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="+gnome +libproxy smartcard +ssl test"
+if [[ ${PV} = 9999 ]]; then
+	KEYWORDS=""
+else
+	KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+fi
+
+RDEPEND=">=dev-libs/glib-2.33.9:2
+	gnome? ( gnome-base/gsettings-desktop-schemas )
+	libproxy? ( >=net-libs/libproxy-0.4.6-r3 )
+	smartcard? (
+		>=app-crypt/p11-kit-0.8
+		>=net-libs/gnutls-2.12.8[pkcs11] )
+	ssl? (
+		app-misc/ca-certificates
+		>=net-libs/gnutls-2.11.0 )
+"
+DEPEND="${RDEPEND}
+	>=dev-util/intltool-0.35.0
+	virtual/pkgconfig
+	sys-devel/gettext
+	test? ( sys-apps/dbus[X] )"
+# eautoreconf needs >=sys-devel/autoconf-2.65:2.5
+
+pkg_setup() {
+	# AUTHORS, ChangeLog are empty
+	DOCS="NEWS README"
+	G2CONF="${G2CONF}
+		--disable-static
+		--with-ca-certificates="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt
+		$(use_with gnome gnome-proxy)
+		$(use_with libproxy)
+		$(use_with smartcard pkcs11)
+		$(use_with ssl gnutls)"
+}
+
+src_prepare() {
+	gnome2_src_prepare
+
+	if [[ ${PV} != 9999 ]]; then
+		# Drop DEPRECATED flags
+		sed -e 's:-D[A-Z_]*DISABLE_DEPRECATED *\\:\\:g' \
+			-e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
+			-i Makefile.{decl,in} \
+			proxy/gnome/Makefile.in \
+			proxy/libproxy/Makefile.in \
+			proxy/tests/Makefile.in \
+			tls/gnutls/Makefile.in \
+			tls/pkcs11/Makefile.{am,in} \
+			tls/tests/Makefile.in || die
+		sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
+			tls/pkcs11/Makefile.{am,in} || die
+	fi
+}
+
+src_test() {
+	Xemake check
+}


             reply	other threads:[~2012-09-05 15:51 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2012-09-05 15:48 Nirbheek Chauhan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-12-06 20:56 [gentoo-commits] proj/gnome:master commit in: net-libs/glib-networking/ Mart Raudsepp
2018-06-17 20:04 Sobhan Mohammadpour
2018-02-06 16:13 Sobhan Mohammadpour
2015-06-09 13:48 Gilles Dartiguelongue
2015-05-10 17:20 Gilles Dartiguelongue
2014-12-26 21:48 Gilles Dartiguelongue
2014-12-07 18:49 Gilles Dartiguelongue
2014-04-15 22:05 Gilles Dartiguelongue
2013-12-18 23:08 Gilles Dartiguelongue
2013-11-24 21:38 Gilles Dartiguelongue
2013-03-09 10:22 Priit Laes
2012-09-25 15:46 Alexandre Rostovtsev
2012-09-06  5:28 Priit Laes
2012-03-31  9:14 Nirbheek Chauhan
2012-03-21 18:27 Alexandre Restovtsev
2012-01-29  8:26 Priit Laes
2011-04-24 12:48 Nirbheek Chauhan
2011-04-06 14:28 Gilles Dartiguelongue
2011-04-05  0:57 Nirbheek Chauhan
2011-03-23  5:20 Nirbheek Chauhan
2011-02-22 15:14 Nirbheek Chauhan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1346860102.1effe4d4f8106b59f8056ec87a029532a561f964.nirbheek@gentoo \
    --to=nirbheek@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox